ru.bitel.bgbilling.modules.inet.api.server

## Class Module

- java.lang.Object
- - ru.bitel.bgbilling.server.WebMenuBase
  - - bitel.billing.server.ModuleBase
    - - ru.bitel.bgbilling.modules.inet.api.server.Module

- All Implemented Interfaces:
    bitel.billing.server.ApplicationModule, EventListener<Event>, ru.bitel.bgbilling.server.WebMenu

      public class Module
      extends bitel.billing.server.ModuleBase
      implements EventListener<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Module()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ModuleEntity>` | `getObjectEntities(java.sql.Connection con, int moduleId, int objectId)`
    `java.lang.String[]` | `getServerPackages()` Дополнительные места поиска экшенов пакетов.
    `void` | `lockService(java.sql.Connection con, int mid, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `lockServiceNow(java.sql.Connection con, int mid, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, Event e)`
    `void` | `notify(Event _e, EventListenerContext ctx)`
    `void` | `serializeContract(java.sql.Connection con, int cid, int mid, javax.xml.stream.XMLStreamWriter tables, boolean onlyCurrent)` Функция выполняет двойную функцию - сохраняет данные для бакапа и для карточек договора.
    `void` | `start(java.sql.Connection con, javax.naming.Context ctx, BGModule module)`
    `void` | `unlockService(java.sql.Connection con, int mid, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `unlockServiceNow(java.sql.Connection con, int mid, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`

    - ### Methods inherited from class bitel.billing.server.ModuleBase

      `deleteContractServices, getDeployment, getStatus, getWebMenuItems`

    - ### Methods inherited from class ru.bitel.bgbilling.server.WebMenuBase

      `disableContractWebMenuItems, getContractWebMenuItems, getWebMenuItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Module

          public Module()

  - ### Method Detail

    - #### getServerPackages

          public java.lang.String[] getServerPackages()

      Description copied from interface: `bitel.billing.server.ApplicationModule`
      Дополнительные места поиска экшенов пакетов. Здесь должны возвращаться пакеты до корня серверной части (без action, завершающей точки итд).
      Specified by:
        `getServerPackages` in interface `bitel.billing.server.ApplicationModule`

    - #### lockServiceNow

          public void lockServiceNow(java.sql.Connection con,
                                     int mid,
                                     ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                     java.math.BigDecimal balance,
                                     java.math.BigDecimal limit,
                                     boolean lightweight)
                              throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `lockServiceNow` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `lockServiceNow` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### unlockServiceNow

          public void unlockServiceNow(java.sql.Connection con,
                                       int mid,
                                       ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                       java.math.BigDecimal balance,
                                       java.math.BigDecimal limit,
                                       boolean lightweight)
                                throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `unlockServiceNow` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `unlockServiceNow` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lockService

          public void lockService(java.sql.Connection con,
                                  int mid,
                                  ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                  java.math.BigDecimal balance,
                                  java.math.BigDecimal limit,
                                  boolean lightweight)
                           throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `lockService` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `lockService` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### unlockService

          public void unlockService(java.sql.Connection con,
                                    int mid,
                                    ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                    java.math.BigDecimal balance,
                                    java.math.BigDecimal limit,
                                    boolean lightweight)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `unlockService` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `unlockService` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moduleAction

          public void moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx,
                                   int moduleId,
                                   Event e)
                            throws java.lang.Exception

      Specified by:
        `moduleAction` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `moduleAction` in class `bitel.billing.server.ModuleBase`
      Throws:
        `java.lang.Exception`

    - #### serializeContract

          public void serializeContract(java.sql.Connection con,
                                        int cid,
                                        int mid,
                                        javax.xml.stream.XMLStreamWriter tables,
                                        boolean onlyCurrent)
                                 throws java.sql.SQLException,
                                        javax.xml.stream.XMLStreamException

      Description copied from interface: `bitel.billing.server.ApplicationModule`
      Функция выполняет двойную функцию - сохраняет данные для бакапа и для карточек договора. При генерации для карт передаётся флаг onlyCurrent. При добавлении JOIN столбцов в выборке необходимо их называть начиная с "_". Иначе возникнут проблемы при восстановлении бакапа.
      Specified by:
        `serializeContract` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `serializeContract` in class `bitel.billing.server.ModuleBase`
      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`

    - #### getObjectEntities

          public java.util.List<ModuleEntity> getObjectEntities(java.sql.Connection con,
                                                                int moduleId,
                                                                int objectId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getObjectEntities` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `getObjectEntities` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### start

          public void start(java.sql.Connection con,
                            javax.naming.Context ctx,
                            BGModule module)
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `start` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `start` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event _e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`